Package classycle.dependency

# Class PatternVertexCondition

java.lang.Object
classycle.dependency.PatternVertexCondition

All Implemented Interfaces:
  `VertexCondition`

public class PatternVertexCondition extends Object implements VertexCondition

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`PatternVertexCondition(StringPattern pattern)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isFulfilled(Vertex vertex)`
Returns `true` if the specified vertex fulfills the condition.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PatternVertexCondition

public PatternVertexCondition(StringPattern pattern)

## Method Details

### isFulfilled

public boolean isFulfilled(Vertex vertex)
Description copied from interface: `VertexCondition`
Returns `true` if the specified vertex fulfills the condition.

Specified by:
  `isFulfilled` in interface `VertexCondition`
Parameters:
  `vertex` - The vertex to be checked. Can be `null`.
Returns:
  `false` if `vertex == null`.

### toString

public String toString()

Overrides:
  `toString` in class `Object`